package com.eversec.kit.dev;

import java.util.List;
import java.util.Map;

/**
 * 元数据
 *
 * @author: liangxianyou at 2018/10/17 12:58.
 */
public class MetaTable {
    private String name;
    private String title;
    private String url;
    private List<Map> items;
    private List<String> shows;
    private List<String> edits;
    private List<Map> filters;

    public void getTableCfg() {



    }


    //===============  getter/setter ============


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public List<Map> getItems() {
        return items;
    }

    public void setItems(List<Map> items) {
        this.items = items;
    }

    public List<String> getShows() {
        return shows;
    }

    public void setShows(List<String> shows) {
        this.shows = shows;
    }

    public List<String> getEdits() {
        return edits;
    }

    public void setEdits(List<String> edits) {
        this.edits = edits;
    }

    public List<Map> getFilters() {
        return filters;
    }

    public void setFilters(List<Map> filters) {
        this.filters = filters;
    }
}
